package com.prolog.eis.service.logic;

import com.prolog.eis.dto.dps.DpsSendListDto;
import com.prolog.eis.dto.wcs.WcsCarDto;
import com.prolog.eis.dto.wcs.WcsCarryBackDto;
import com.prolog.eis.dto.wcs.WcsGirdDto;
import com.prolog.eis.model.outbound.PrintTask;
import com.prolog.eis.model.shelves.AllotmentTaskRecord;

/**
 * @title: TimeTaskService
 * @description: TODO
 * @date 2022/4/812:26
 */
public interface WcsTaskService {


    void sendMcsCarryTask(AllotmentTaskRecord allotmentTaskRecord);

    void carryFinishBack(WcsCarryBackDto wcsCarryBackDto);

    void girdStatusSync(WcsGirdDto wcsGirdDto);

    void carStatusSync(WcsCarDto wcsCarDto);

    void exeuteTaskReported(DpsSendListDto dpsSendListDto);
}
